Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-27012

Add @Grab grape support to facilitate dependency injection

    Details

    • Similar Issues:

      Description

      The extended choice parameter plugin would be significantly more powerful if it supported @Grab dependency injection. This requires the inclusion of the Apache Ivy library and a version of Groovy that's loaded from the plugin as opposed to the version loaded by Jenkins.

        Attachments

          Issue Links

            Activity

            Hide
            grafjg James Graf added a comment -

            This issue has been encountered in other plugins such as this: https://issues.jenkins-ci.org/browse/JENKINS-16361

            Show
            grafjg James Graf added a comment - This issue has been encountered in other plugins such as this: https://issues.jenkins-ci.org/browse/JENKINS-16361
            Hide
            grafjg James Graf added a comment -
            Show
            grafjg James Graf added a comment - A fix is ready for review: https://github.com/jenkinsci/extended-choice-parameter-plugin/pull/13

              People

              • Assignee:
                vimil vimil
                Reporter:
                grafjg James Graf
              • Votes:
                0 Vote for this issue
                Watchers:
                1 Start watching this issue

                Dates

                • Created:
                  Updated: